let
  pin = builtins.fromJSON (builtins.readFile ./nixpkgs.json);
  pinnedPkgs = with pin; import (builtins.fetchTarball {
    url = "https://github.com/NixOS/nixpkgs/archive/${rev}.tar.gz";
    inherit sha256;
  }) {};

in

{ pkgs ? pinnedPkgs }:

let
  haskellPackages = pkgs.haskellPackages;
  site = pkgs.callPackage ./default.nix {};
  shell = pkgs.buildEnv {
    name = "site-shell";
    paths = [];
    buildInputs = [
      haskellPackages.ghcid
      haskellPackages.hasktags
      (haskellPackages.ghcWithHoogle (h: site.buildInputs ++ site.propagatedBuildInputs))
    ];
  };

in

{
  site = site;
  shell = shell;
}
